# PetscMalloc7

Allocates 7 chunks of memory

### Input Parameter

| m1 | - number of elements to allocate in 1st chunk (may be zero)
| t1 | - type of first memory elements
| m2 | - number of elements to allocate in 2nd chunk (may be zero)
| t2 | - type of second memory elements
| m3 | - number of elements to allocate in 3rd chunk (may be zero)
| t3 | - type of third memory elements
| m4 | - number of elements to allocate in 4th chunk (may be zero)
| t4 | - type of fourth memory elements
| m5 | - number of elements to allocate in 5th chunk (may be zero)
| t5 | - type of fifth memory elements
| m6 | - number of elements to allocate in 6th chunk (may be zero)
| t6 | - type of sixth memory elements
| m7 | - number of elements to allocate in 7th chunk (may be zero)
| t7 | - type of sixth memory elements

### Output Parameter

| r1 | - memory allocated in first chunk
| r2 | - memory allocated in second chunk
| r3 | - memory allocated in third chunk
| r4 | - memory allocated in fourth chunk
| r5 | - memory allocated in fifth chunk
| r6 | - memory allocated in sixth chunk
| r7 | - memory allocated in sixth chunk

### Synopsis

    PetscErrorCode PetscMalloc7(size_t m1,type, t1,void **r1,size_t m2,type t2,void **r2,size_t m3,type t3,void **r3,size_t m4,type t4,void **r4,size_t m5,type t5,void **r5,size_t m6,type t6,void **r6,size_t m7,type t7,void **r7)

Notes: Memory of first chunk is always allocated at least double aligned

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree3(), PetscFree4(), PetscFree5(), PetscFree6(), PetscFree7()

Level:developer
Location:include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages